package intrinsic.mx.preloaders;

public class Preloader extends intrinsic.flash.display.Sprite {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Preloader() {
}


/** Static Methods */

/** Methods */
public native void rslProgressHandler(intrinsic.flash.events.ProgressEvent arg0);
public native void rslErrorHandler(intrinsic.flash.events.ErrorEvent arg0);
public native void rslCompleteHandler(intrinsic.flash.events.Event arg0);
public native void registerApplication(intrinsic.flash.events.IEventDispatcher arg0);
public native void initialize(boolean arg0, intrinsic.Class arg1, int arg2, double arg3, Object arg4, String arg5, double arg6, double arg7);
public native void initialize(boolean arg0, intrinsic.Class arg1, int arg2, double arg3, Object arg4, String arg5, double arg6, double arg7, intrinsic.Array arg8);
public native void initialize(boolean arg0, intrinsic.Class arg1, int arg2, double arg3, Object arg4, String arg5, double arg6, double arg7, intrinsic.Array arg8, intrinsic.Array arg9);
public native void initialize(boolean arg0, intrinsic.Class arg1, int arg2, double arg3, Object arg4, String arg5, double arg6, double arg7, intrinsic.Array arg8, intrinsic.Array arg9, intrinsic.Array arg10);
public native void initialize(boolean arg0, intrinsic.Class arg1, int arg2, double arg3, Object arg4, String arg5, double arg6, double arg7, intrinsic.Array arg8, intrinsic.Array arg9, intrinsic.Array arg10, intrinsic.Array arg11);

}
